Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class CurriedClosure

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Closure
              org.codehaus.groovy.runtime.CurriedClosure

All Implemented Interfaces:
  GroovyObject, Cloneable, Runnable

    public final class CurriedClosure

extends Closure

Represents wrapper around a Closure to support currying

Author:
  Jochen Theodorou

Field Summary

Fields inherited from class groovy.lang.Closure
`DELEGATE_FIRST, DELEGATE_ONLY, DONE, maximumNumberOfParameters, OWNER_FIRST, OWNER_ONLY, parameterTypes, SKIP, TO_SELF`

Constructor Summary
`CurriedClosure(Closure uncurriedClosure, int i)`
`CurriedClosure(Closure uncurriedClosure, Object[] arguments)`

Method Summary
`Object` | `clone()`
`Class[]` | `getParameterTypes()`
`Object[]` | `getUncurriedArguments(Object[] arguments)`
`void` | `setDelegate(Object delegate)` Allows the delegate to be changed such as when performing markup building

Methods inherited from class groovy.lang.Closure
`asWritable, call, call, call, curry, getDelegate, getDirective, getMaximumNumberOfParameters, getOwner, getProperty, getResolveStrategy, getThisObject, isCase, run, setDirective, setProperty, setResolveStrategy, throwRuntimeException`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, invokeMethod, setMetaClass`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CurriedClosure

    public CurriedClosure(Closure uncurriedClosure,
                          Object[] arguments)

### CurriedClosure

    public CurriedClosure(Closure uncurriedClosure,
                          int i)

Method Detail

### getUncurriedArguments

    public Object[] getUncurriedArguments(Object[] arguments)

### setDelegate

    public void setDelegate(Object delegate)

  Description copied from class: `Closure`
  Allows the delegate to be changed such as when performing markup building

  Overrides:
    `setDelegate` in class `Closure`
  Parameters:
    `delegate` - the new delegate

### clone

    public Object clone()

  Overrides:
    `clone` in class `Closure`

### getParameterTypes

    public Class[] getParameterTypes()

  Overrides:
    `getParameterTypes` in class `Closure`
  Returns:
    the parameter types of the longest doCall method of this closure

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD